> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve file



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json get /v1/files/{file_id}
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260506-297d05704
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v1/files/{file_id}:
    get:
      tags:
        - files
      summary: Retrieve file
      operationId: get_file_info_v1_files__file_id__get
      parameters:
        - name: file_id
          in: path
          required: true
          schema:
            type: string
            title: File Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenAIFile'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    OpenAIFile:
      properties:
        id:
          type: string
          title: Id
        bytes:
          type: integer
          title: Bytes
        created_at:
          type: integer
          title: Created At
        filename:
          type: string
          title: Filename
        object:
          type: string
          title: Object
          default: file
        purpose:
          type: string
          title: Purpose
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        status_details:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Details
      type: object
      required:
        - id
        - bytes
        - created_at
        - filename
        - purpose
      title: OpenAIFile
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````